Package org.apache.qpid.proton.engine

# Interface Handler

All Known Subinterfaces:
  `CoreHandler`

All Known Implementing Classes:
  `BaseHandler`, `FlowController`, `Handshaker`, `IOHandler`

public interface Handler
Handler

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Handler child)`
`Iterator<Handler>`
`children()`
`void`
`handle(Event e)`
Handle the event in this instance.
`void`
`onUnhandled(Event e)`

## Method Details

### handle

void handle(Event e)
Handle the event in this instance. This is the second half of `Event.dispatch(Handler)`. The method must invoke a concrete onXxx method for the given event, or invoke it's `onUnhandled(Event)` method if the `EventType` of the event is not recognized by the handler.

Note: The handler is not supposed to invoke the `handle(Event)` method on it's `children()`, that is the responsibility of the `Event.dispatch(Handler)`

Parameters:
  `e` - The event to handle
See Also:
  - `BaseHandler`

### onUnhandled

void onUnhandled(Event e)

### add

void add(Handler child)

### children

Iterator<Handler> children()